Debian Bug report logs - #693492
ITP: litecoin -- peer-to-peer network based digital currency

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dmitry Smirnov <onlyjob@member.fsf.org>

Date: Sat, 17 Nov 2012 01:09:02 UTC

Owned by: Dmitry Smirnov <onlyjob@debian.org>

Severity: wishlist

Fixed in version litecoin/0.8.5.1-1

Done: Dmitry Smirnov <onlyjob@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#693492; Package wnpp. (Sat, 17 Nov 2012 01:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 17 Nov 2012 01:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: submit@bugs.debian.org
Subject: ITP: litecoin -- peer-to-peer network based digital currency
Date: Sat, 17 Nov 2012 12:05:02 +1100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

   Package name: litecoin
        Version: 0.6.3c
Upstream Author: Litecoin Developers
            URL: https://github.com/litecoin-project/litecoin
        License: MIT/X11, ISC
    Description: peer-to-peer network based digital currency
 Litecoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending. Litecoin is a fork of Bitcoin.
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Dmitry Smirnov <onlyjob@member.fsf.org>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sat, 17 Nov 2012 04:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#693492; Package wnpp. (Sat, 17 Nov 2012 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 17 Nov 2012 08:27:03 GMT) Full text and rfc822 format available.

Message #12 received at 693492@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 693492@bugs.debian.org
Subject: package is available
Date: Sat, 17 Nov 2012 19:22:19 +1100
Source package is available:

	https://mentors.debian.net/package/litecoin


Package repository:

	http://anonscm.debian.org/gitweb/?p=collab-maint/litecoin.git


Sponsorship is welcome. :)

Regards,
Dmitry.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#693492; Package wnpp. (Sun, 18 Nov 2012 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Sun, 18 Nov 2012 01:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 693492@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Dmitry Smirnov <onlyjob@member.fsf.org>, 693492@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#693492: ITP: litecoin -- peer-to-peer network based digital currency
Date: Sun, 18 Nov 2012 08:58:59 +0800
On Sat, Nov 17, 2012 at 9:05 AM, Dmitry Smirnov wrote:

>  Litecoin is a fork of Bitcoin.

Please get that documented in the security team's embedded code copies file:

http://wiki.debian.org/EmbeddedCodeCopies

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#693492; Package wnpp. (Mon, 19 Nov 2012 02:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 19 Nov 2012 02:30:03 GMT) Full text and rfc822 format available.

Message #22 received at 693492@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 693492@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#693492: ITP: litecoin -- peer-to-peer network based digital currency
Date: Mon, 19 Nov 2012 13:27:06 +1100
Dear Paul,

On Sun, 18 Nov 2012 11:58:59 Paul Wise wrote:
> >  Litecoin is a fork of Bitcoin.
> 
> Please get that documented in the security team's embedded code copies
> file:
> 
> http://wiki.debian.org/EmbeddedCodeCopies

Thank you for making me aware of EmbeddedCodeCopies list.

I submitted the following information for inclusion:

	libjson-spirit-dev
		- bitcoin <unfixed> (modified-embed)
		- litecoin <unfixed> (modified-embed)

	bitcoin
		- litecoin <unfixable> (fork)

-- 
Regards,
Dmitry.



Message sent on to Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#693492. (Mon, 03 Dec 2012 21:18:10 GMT) Full text and rfc822 format available.

Message #25 received at 693492-submitter@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 693492-submitter@bugs.debian.org, pkg-bitcoin-devel@lists.alioth.debian.org
Subject: litecoin packaging effort join with bitcoin effort?
Date: Mon, 3 Dec 2012 16:17:00 -0500
Hi Dmitry,

I've been working with the bitcoin packagers in debian to improve the
status of bitcoin related packages (bitcoin, namecoin, litecoin, etc.)
in Debian along with Jonas Smedegaard and Mican Anderson. Would you be
interested in maintaining litecoin under the pkg-bitcoin-devel
umbrella?

If so, you can apply for membership on Alioth (the same way you did
collab-maint).  Then move the repo from collab-maint/ to pkg-bitcoin/,
change the maintainer to Debian Bitcoin Packaging Team
<pkg-bitcoin-devel@lists.alioth.debian.org>, and list yourself as the
"uploader" and subscribe to pkg-bitcoin-devel@lists.alioth.debian.org

I can sponsor it for you either way, I think it's a good idea if we
all maintain together since the packages and technology are so
similar. It will still be your package and primary responsibility, but
it will put you in touch with at least three potential sponsors
whenever you want to upload a package.

Cheers,
Scott



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#693492; Package wnpp. (Wed, 05 Dec 2012 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Dec 2012 09:15:03 GMT) Full text and rfc822 format available.

Message #30 received at 693492@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 693492@bugs.debian.org
Subject: repository moved to pkg-bitcoin
Date: Wed, 5 Dec 2012 20:13:00 +1100
New repository location:

	http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/litecoin.git



Changed Bug title to 'RFP: litecoin -- peer-to-peer network based digital currency' from 'ITP: litecoin -- peer-to-peer network based digital currency' Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to control@bugs.debian.org. (Tue, 25 Dec 2012 00:51:02 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Dmitry Smirnov <onlyjob@member.fsf.org>. Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to control@bugs.debian.org. (Tue, 25 Dec 2012 00:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#693492; Package wnpp. (Tue, 25 Dec 2012 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 25 Dec 2012 00:57:03 GMT) Full text and rfc822 format available.

Message #39 received at 693492@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 693492@bugs.debian.org
Subject: Perhaps we don't need it...
Date: Tue, 25 Dec 2012 11:52:06 +1100
[Message part 1 (text/plain, inline)]
As of December 2012 the package is ready (completed).

However pkg-bitcoin team is not convinced if we really need litecoin in 
Debian. At the moment Litecoin is redundant to Bitcoin and have very little or 
no value.

See also
        https://en.bitcoin.it/wiki/Litecoin#Criticism

If you're interested in litecoin package please consider support and 
maintenance implications for Debian as Litecoin have little or no use.

-- 
Regards,
Dmitry.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#693492; Package wnpp. (Wed, 15 May 2013 03:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans-Christoph Steiner <hans@eds.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 May 2013 03:27:04 GMT) Full text and rfc822 format available.

Message #44 received at 693492@bugs.debian.org (full text, mbox):

From: Hans-Christoph Steiner <hans@eds.org>
To: 693492@bugs.debian.org
Subject: reconsidering
Date: Tue, 14 May 2013 23:25:23 -0400
[Message part 1 (text/plain, inline)]
I think we should reconsider adding litecoin to Debian.  Its traded on some
exchanges already, and MtGox has said it would be adding support for trading
it as well.  One thing is clear in all these crypto-currencies: there is not
going to be just one.  So I think any reputable one should be in Debian.  I'm
willing to upload litecoin, I'm a DD, but I think it makes sense to have team
maintenance for the coins that are direct descendants of bitcoin since the
packaging will be so similar.

And since working on these crypto-currencies clearly has ties to financial
matters, I think we should be disclosing our financial interests when doing
work for Debian. I'll start: I only less than one bitcoin and less than 10
litecoin.  I plan on buying a few more of each.

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'ITP: litecoin -- peer-to-peer network based digital currency' from 'RFP: litecoin -- peer-to-peer network based digital currency' Request was from Dmitry Smirnov <onlyjob@debian.org> to control@bugs.debian.org. (Wed, 20 Nov 2013 02:54:05 GMT) Full text and rfc822 format available.

Owner recorded as Dmitry Smirnov <onlyjob@debian.org>. Request was from Dmitry Smirnov <onlyjob@debian.org> to control@bugs.debian.org. (Wed, 20 Nov 2013 02:54:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 21 Nov 2013 07:06:04 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Smirnov <onlyjob@debian.org>:
You have taken responsibility. (Sun, 22 Dec 2013 05:03:04 GMT) Full text and rfc822 format available.

Notification sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug acknowledged by developer. (Sun, 22 Dec 2013 05:03:05 GMT) Full text and rfc822 format available.

Message #55 received at 693492-close@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: 693492-close@bugs.debian.org
Subject: Bug#693492: fixed in litecoin 0.8.5.1-1
Date: Sun, 22 Dec 2013 05:00:08 +0000
Source: litecoin
Source-Version: 0.8.5.1-1

We believe that the bug you reported is fixed in the latest version of
litecoin, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693492@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Smirnov <onlyjob@debian.org> (supplier of updated litecoin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 20 Nov 2013 13:52:17 +1100
Source: litecoin
Binary: litecoind litecoin-qt
Architecture: source amd64
Version: 0.8.5.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Changed-By: Dmitry Smirnov <onlyjob@debian.org>
Description: 
 litecoin-qt - peer-to-peer network based digital currency - Qt GUI
 litecoind  - peer-to-peer network based digital currency - daemon
Closes: 693492
Changes: 
 litecoin (0.8.5.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #693492).
Checksums-Sha1: 
 a44dda476376e1937a2e6a75d5abc9f03845a727 2171 litecoin_0.8.5.1-1.dsc
 59ede1389477bd38b3d52de38061f8719672576f 4783199 litecoin_0.8.5.1.orig.tar.gz
 fc6ba14eabdb023bb80519f7141b6beb9a771c7d 11904 litecoin_0.8.5.1-1.debian.tar.xz
 4f1135bdf06041707048d39a594b45edb80f0284 624824 litecoind_0.8.5.1-1_amd64.deb
 21eb4bd692bbc0bd0dbaadf870937f7fe9f9f52d 2329258 litecoin-qt_0.8.5.1-1_amd64.deb
Checksums-Sha256: 
 7a12dea84ad459538f67833f3b79f14816aef74b55097554793a72c150dab3e3 2171 litecoin_0.8.5.1-1.dsc
 d307c370494cdb3f0e5bbfa38a2f09bde8a50b14935253ddb220141b9a5ec5d3 4783199 litecoin_0.8.5.1.orig.tar.gz
 8ef50138c089ea9817641d60c9bff79a625f190d8d07fe176d3801c7a8d1e7af 11904 litecoin_0.8.5.1-1.debian.tar.xz
 3cfe20bc7aa48b166f742f63eb090823ae7eb61c78d389cf08d799ef581c6b99 624824 litecoind_0.8.5.1-1_amd64.deb
 215077fa1cc66f7c63e0c00833d32c61d5a5edefef70abfceeb5523afec28861 2329258 litecoin-qt_0.8.5.1-1_amd64.deb
Files: 
 2e9b589140df33bf6ead95569550fe97 2171 utils optional litecoin_0.8.5.1-1.dsc
 bd2538e8f251b1b168536ca2637705cd 4783199 utils optional litecoin_0.8.5.1.orig.tar.gz
 b32b6314d83068d8c57460ef929b76d0 11904 utils optional litecoin_0.8.5.1-1.debian.tar.xz
 d79514d246774fb37fe4e69a117edfde 624824 utils optional litecoind_0.8.5.1-1_amd64.deb
 6a0b5ae1a80a3118f00e2687eed60f0f 2329258 utils optional litecoin-qt_0.8.5.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSjVVpAAoJEFK2u9lTlo0bkZsP/jNgi1qot3hpEFzMKvH1Juai
wyVNGAWAFiLG8O7Uv/RHO82UT/zJ7B+sNQKnYYxzc6cD2fqXrDrEJTgQwkNbliR+
VoHDMEeKjmn4gzNAoxdLMEldSVYYAxjAj2M74/pWhJm0Bkofb8zTtHTqBDrz4x1B
M8uXDdkMYBVJIp8phtpdeDhUQeV/GOv9qJ8BsyVjCpXdpO+JAbGohgHppxJkLxZz
pzKyCuPh+2KjQMdf5NUx8i/YEo7E2D3B510Ss1U+lw26wpgdohLbE8WT4MabuMk5
cxrnl/GvSuVyZznbeb2GfyGlLGcOZQRK8J/oRl6rkN1OM87I77J60LTLv60hkT5t
FP/QkM6kdpbC8anuw5rzkHo6WDxqXHbMDBc0xEN0OrPe4qm9QqH+hX8Mc2151XFC
yFANRTanR2XxNmJnmCedrxW2/OHtGW49xRvkNzry8BkVV/aPoDfu7KJ+KPu4BjZc
XPviTDu0Fyh3+0HwqCbqTLvyglJDUKcV1lp2NoAWxM/prDazB0+jeTs0DucQqS4g
R3gSAtjM324+T78hVQWqPuNixpqlJHNHccksyjFZnHRVj0uQcjb9os3S48zrpq+S
12FJNjJkgrmja30tQ7EZnli+CjsDVEG/cp6O4jHLkt/+607PvvKMMfsoybqdcAQg
Y2AqcTe4REW3Gbd9cL22
=s/CF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 Jan 2014 07:33:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:07:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.